Subject: Re: bug#38529: Make --ad-hoc the default for guix environment proposed deprecation mechanism

From: Arne Babenhauserheide <[email-masked]>
Date: Wed, 18 Dec 2019 21:55:54 +0100

Konrad Hinsen <[email-masked]> writes:

> Hi Simon,
>
>> Maybe I miss a point. It is not: "watch out, this will do something
>> else in the future" but "watch out, this was doing something else in
>> the past and the change happened the <date> in <commit>".
>
> Concrete example: I am writing a tutorial about using Guix for
> reproducible research. It shows several uses of "guix environment", some
> of them without '–add-hoc' or '–inputs-of'. I know my examples will
> cease to work in a few months. What am I supposed to do about this?

This is the point where we need to ask ourselves:

     Should Guix be volatile software?
     http://stevelosh.com/blog/2012/04/volatile-software/

Also: Software developers should avoid traumatic changes
      https://drewdevault.com/2019/11/26/Avoid-traumatic-changes.html

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken